Subject: Re: [Ltru] Re: Language transformation

From: "M.T. Carrasco Benitez" <[email-masked]>
Date: Thu, 31 Mar 2005 18:42:37 +0100 (BST)

> [Ewell]
> The most important distinction is that a transliteration must be
> unambiguously reversible.  That said, it's true that non-professionals
> often use the terms interchangeably, and I don't see a problem with
> lumping them together for this discussion.

Not necessarilly. LTRU should be concerned with tagging the transformed
language. The methodollogy should be out of scope.
 
> > Hence, one needs a list of transformation schemes, each with one
> > unique identifier. The transformation identifier indicates the source
> > language(s), the source script, the target language(s) and the target
> > script.
> 
> It's more than just target language; multiple transcription systems can
> exist for the same set of four variables (SL, SS, TL, TS).

Yes.
 
> > The above is a pseudo-code. In particular, it is not a syntactic
> > proposition for LTRU. This should come later, assuming that LTRU want
> > to consider language transformations. Indeed, the transformation
> > token does not need to be present and it could be implied. For
> > example;
> >
> > zh-wadegiles
> 
> I think this might make a good candidate for an extension RFC.  It's not
> strictly an attribute of the language, but might be important for
> content storage and retrieval.  For example, it might be valuable to
> specify whether "kr-Latn" text is romanized using McCune-Reischauer,
> Yale, or Revised Romanization, or whether "ru-Latn" is romanized using
> ISO 9, GOST, or some other language-dependent scheme (which is common
> for Russian).

Yes.

> Extensions are described in detail at:
> 
> http://www.inter-locale.com/ID/draft-ietf-ltru-registry-00.html#extensions
> 
> If this were approved, and assuming for the sake of argument that the
> singleton 't' were assigned, then the example in Section 2 of Tomas's
> draft could be coded as "zh-Latn-t-wadeg" or even just "zh-t-wadeg"
> (since the existence of a subtag for Wade-Giles implies the Latin
> script).  Note that subtags must be 8 characters of less, so "wadegiles"
> would be too long.

I left the syntax
 
Better "zh-t-wadeg"

Regarding the syntax, in the draft I left it as "should be discussed in LTRU".

> Transcription schemes that don't have a name, but are dependent on the
> target language (again, common for Russian), might be indicated with a
> 2-character subtag representing the target language.  Thus
> "ru(-Latn)-t-de" would be a transcription of Russian intended for German
> readers, while "ru(-Latn)-t-fr" would be the same for French speakers.
> In that case, subtags that don't represent a target language would have
> to be 3 or more characters long.

>From the experience of the last time, having the target language caused confusion:
it must be very clear that the text tagged by "ru-t-foo" is Russian. So having
"ru-t-fr" lead to believe that there was some French in the text. Also, I
suspect (I am not certain) that transformation schemes would typically
target more than one language; except in languages like Armenian with
a very specific script.

But artificially naming transformation schemes is not a solution. Hence,
the entity that registers a transformation scheme with the proposed
"Schemes for Language Transformation" should propose a non-allocated
"transformation identifier" within the syntactic restrictions of LTRU.

> > Two registries are need:
> >
> > - IANA
> > - Schemes for Language Transformation
> >
> > IANA must be concerned only with scheme identifiers. In the example
> > above the string "wadegiles".
> 
> If this were approved as an extension RFC, then that RFC -- not IANA -- 
> would control the list of valid subtags.  IANA would maintain a URL
> pointing to the current table.

Yes. I am doing the preliminary work.

Regards
Tomas

Send instant messages to your online friends http://uk.messenger.yahoo.com 

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "JFC (Jefsey) Morfin" <[email-masked]>
Date: Thu, 31 Mar 2005 21:24:31 +0200

What should be considered is the result to the user. A recording or a 
transcoding resulting in the same voice-text, look the same to me? I do not 
see script difference between a voice, in Russian and a voice in English 
speaking the same way? Questions can be about the sex, accent, timber, age 
of the voice and about the speaking style? Same a short-hand or phonetic or 
icons or music or menu figures (as long as there is a common understanding 
of what means what - what is a script?)

Describing the process would be like documenting the version of Apache 
being used to show an HTML page?
jfc